Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/PostService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/PostService.java	(revision 738b31a3e195227c35283c237e83ac79a2fa0251)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/PostService.java	(revision 738b31a3e195227c35283c237e83ac79a2fa0251)
@@ -0,0 +1,11 @@
+package finki.paw5.service;
+
+import finki.paw5.model.Post;
+import finki.paw5.model.enumerations.AgeGroup;
+import finki.paw5.model.enumerations.Gender;
+import finki.paw5.model.enumerations.Size;
+import finki.paw5.model.enumerations.Species;
+
+public interface PostService {
+    Post submit ( String pet_name, Gender gender, AgeGroup ageGroup, Size size, Species species, String breed, String urlimage);
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PostServiceImpl.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PostServiceImpl.java	(revision 738b31a3e195227c35283c237e83ac79a2fa0251)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PostServiceImpl.java	(revision 738b31a3e195227c35283c237e83ac79a2fa0251)
@@ -0,0 +1,23 @@
+package finki.paw5.service.implementation;
+
+import finki.paw5.model.Post;
+import finki.paw5.model.enumerations.AgeGroup;
+import finki.paw5.model.enumerations.Gender;
+import finki.paw5.model.enumerations.Size;
+import finki.paw5.model.enumerations.Species;
+import finki.paw5.service.PostService;
+
+public class PostServiceImpl implements PostService {
+    private final finki.paw5.repository.PostRepository PostRepository;
+
+    public PostServiceImpl(finki.paw5.repository.PostRepository PostRepository){
+        this.PostRepository = PostRepository;
+    }
+
+
+    @Override
+    public Post submit(String name, Gender gender, AgeGroup ageGroup, Size size, Species species, String breed, String urlimage) {
+        Post post = new Post(name, gender, ageGroup, size, species, breed, urlimage);
+        return null;
+    }
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/CreatePostController.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/CreatePostController.java	(revision b1b571b393dfc995ad4db7b421e568f1984ae1bb)
+++ 	(revision )
@@ -1,10 +1,0 @@
-package finki.paw5.web.controllers;
-
-import org.springframework.stereotype.Controller;
-import org.springframework.web.bind.annotation.RequestMapping;
-
-@Controller
-@RequestMapping("/CreatePost")
-public class CreatePostController {
-
-}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PostController.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PostController.java	(revision 738b31a3e195227c35283c237e83ac79a2fa0251)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PostController.java	(revision 738b31a3e195227c35283c237e83ac79a2fa0251)
@@ -0,0 +1,36 @@
+package finki.paw5.web.controllers;
+
+import finki.paw5.model.enumerations.AgeGroup;
+import finki.paw5.model.enumerations.Gender;
+import finki.paw5.model.enumerations.Size;
+import finki.paw5.model.enumerations.Species;
+import finki.paw5.service.PostService;
+import org.springframework.stereotype.Controller;
+import org.springframework.web.bind.annotation.PostMapping;
+import org.springframework.web.bind.annotation.RequestMapping;
+import org.springframework.web.bind.annotation.RequestParam;
+
+@Controller
+@RequestMapping("/CreatePost")
+public class PostController {
+
+    private final PostService postService;
+
+    public PostController(PostService postService){
+        this.postService = postService;
+    }
+
+    @PostMapping
+    public String submit (@RequestParam String name,
+                          @RequestParam Gender gender,
+                          @RequestParam AgeGroup ageGroup,
+                          @RequestParam Size size,
+                          @RequestParam Species species,
+                          @RequestParam String breed,
+                          @RequestParam String urlimage) {
+
+            this.postService.submit(name, gender, ageGroup, size, species, breed, urlimage);
+
+            return null;
+    }
+}
Index: Prototype Application/Paw5/src/main/resources/templates/CreatePost.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/CreatePost.html	(revision b1b571b393dfc995ad4db7b421e568f1984ae1bb)
+++ Prototype Application/Paw5/src/main/resources/templates/CreatePost.html	(revision 738b31a3e195227c35283c237e83ac79a2fa0251)
@@ -17,16 +17,16 @@
     <div id="AddNewPet">
         <label for="newpet">Add new pet:</label>
-            <input id="newpet" type="checkbox">
+            <input id="newpet" name="newpet" placeholder="newpet" type="checkbox">
     </div>
 
     <div id="PetName">
-        Name:<input type="text">
+        Name:<input id="name" name="name" placeholder="name" type="text">
     </div>
 
     <div id="Genders">
         <label for="gender">Gender:</label>
-        <select id="gender">
-            <option>male</option>
-            <option>female</option>
+        <select id="gender" name="gender">
+            <option value = "MALE">male</option>
+            <option value = "FEMALE">female</option>
         </select>
     </div>
@@ -34,8 +34,8 @@
     <div id="AgeGroup">
         <label for="age">Age Group:</label>
-        <select id="age">
-            <option>young</option>
-            <option>adult</option>
-            <option>elder</option>
+        <select id="age" name="size">
+            <option value = "YOUNG">young</option>
+            <option value = "ADULT">adult</option>
+            <option value = "ELDER">elder</option>
         </select>
     </div>
@@ -43,10 +43,10 @@
     <div id="Sizes">
         <label for="size">Size:</label>
-        <select id="size">
-            <option>extra small</option>
-            <option>small</option>
-            <option>medium</option>
-            <option>large</option>
-            <option>extra large</option>
+        <select id="size" name="size">
+            <option value = "XSMALL">extra small</option>
+            <option value = "SMALL">small</option>
+            <option value = "MEDIUM">medium</option>
+            <option value = "LARGE">large</option>
+            <option value = "XLARGE">extra large</option>
         </select>
     </div>
@@ -54,17 +54,17 @@
     <div id="Species">
         <label for="specie">Species:</label>
-        <select id="specie">
-            <option>cat</option>
-            <option>dog</option>
-            <option>bird</option>
+        <select id="specie" name="specie">
+            <option value = "CAT">cat</option>
+            <option value = "DOG">dog</option>
+            <option value = "BIRD">bird</option>
         </select>
     </div>
 
-    <div id="Breed">
-        Breed:<input type="text">
+    <div id="Breeds">
+        Breed:<input id="breed" name="breed" placeholder="breed" type="text">
     </div>
 
-    <div id="UploadImage">
-        URL of Image:<input type="text">
+    <div id="UploadImages">
+        URL of Image:<input id="image" name="image" placeholder="image" type="text">
        <!-- <label for="upload">Image:</label>
         <input id="upload" type="file" accept="image/*">
Index: Prototype Application/Paw5/src/main/resources/templates/createpost.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/createpost.html	(revision 738b31a3e195227c35283c237e83ac79a2fa0251)
+++ Prototype Application/Paw5/src/main/resources/templates/createpost.html	(revision 738b31a3e195227c35283c237e83ac79a2fa0251)
@@ -0,0 +1,76 @@
+<!DOCTYPE html>
+<html lang="en">
+<head>
+    <meta charset="UTF-8">
+    <title>Create a post</title>
+</head>
+<body>
+    <h1>Create post</h1>
+<form method="post" action="/CreatePost">
+
+    <div id="SelectPet">
+        <label for="pet">Selet pet:</label>
+        <select id="pet">
+        </select>
+    </div>
+
+    <div id="AddNewPet">
+        <label for="newpet">Add new pet:</label>
+            <input id="newpet" name="newpet" placeholder="newpet" type="checkbox">
+    </div>
+
+    <div id="PetName">
+        Name:<input id="name" name="name" placeholder="name" type="text">
+    </div>
+
+    <div id="Genders">
+        <label for="gender">Gender:</label>
+        <select id="gender" name="gender">
+            <option value = "MALE">male</option>
+            <option value = "FEMALE">female</option>
+        </select>
+    </div>
+
+    <div id="AgeGroup">
+        <label for="age">Age Group:</label>
+        <select id="age" name="size">
+            <option value = "YOUNG">young</option>
+            <option value = "ADULT">adult</option>
+            <option value = "ELDER">elder</option>
+        </select>
+    </div>
+
+    <div id="Sizes">
+        <label for="size">Size:</label>
+        <select id="size" name="size">
+            <option value = "XSMALL">extra small</option>
+            <option value = "SMALL">small</option>
+            <option value = "MEDIUM">medium</option>
+            <option value = "LARGE">large</option>
+            <option value = "XLARGE">extra large</option>
+        </select>
+    </div>
+
+    <div id="Species">
+        <label for="specie">Species:</label>
+        <select id="specie" name="specie">
+            <option value = "CAT">cat</option>
+            <option value = "DOG">dog</option>
+            <option value = "BIRD">bird</option>
+        </select>
+    </div>
+
+    <div id="Breeds">
+        Breed:<input id="breed" name="breed" placeholder="breed" type="text">
+    </div>
+
+    <div id="UploadImages">
+        URL of Image:<input id="image" name="image" placeholder="image" type="text">
+       <!-- <label for="upload">Image:</label>
+        <input id="upload" type="file" accept="image/*">
+        <input type="submit">-->
+    </div>
+    <input id="SubmitPost" type="submit">
+</form>
+</body>
+</html>